Bug 626844 - (CVE-2010-2575) CVE-2010-2575 kdegraphics: a boundary error in Okular
CVE-2010-2575 kdegraphics: a boundary error in Okular
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100825,reported=20100824,sou...
: Security
Depends On: 627289
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 10:44 EDT by Vincent Danen
Modified: 2018-01-29 20:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch from upstream to correct the issue (1.04 KB, patch)
2010-08-24 10:46 EDT, Vincent Danen
no flags Details | Diff

  None (edit)
Description Vincent Danen 2010-08-24 10:44:33 EDT
An integer overflow flaw that could lead to a heap-based buffer overflow was found in Okular by Secunia.  If a user were to open a malicious PDF or PostScript file, it could cause Okular to crash or, potentially, lead to the execution of arbitrary code with the privileges of the user running Okular.

This issue has been assigned the name CVE-2010-2575 and only affects KDE4.
Comment 1 Vincent Danen 2010-08-24 10:46:26 EDT
Created attachment 440676 [details]
patch from upstream to correct the issue

This patch applies to 4.3, 4.4, and 4.5.
Comment 2 Vincent Danen 2010-08-25 11:10:26 EDT
This is now public:

http://kde.org/info/security/advisory-20100825-1.txt
Comment 3 Vincent Danen 2010-08-25 11:11:13 EDT
Created kdegraphics tracking bugs for this issue

Affects: fedora-all [bug 627289]
Comment 4 Josh Bressers 2011-07-19 18:11:53 EDT
Statement:

The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.

Note You need to log in before you can comment on or make changes to this bug.